summaryrefslogtreecommitdiffstats
path: root/source/a/lilo/lilo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/lilo/lilo.SlackBuild')
-rwxr-xr-xsource/a/lilo/lilo.SlackBuild18
1 files changed, 15 insertions, 3 deletions
diff --git a/source/a/lilo/lilo.SlackBuild b/source/a/lilo/lilo.SlackBuild
index 197f33843..e33c8778b 100755
--- a/source/a/lilo/lilo.SlackBuild
+++ b/source/a/lilo/lilo.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,8 +22,17 @@
VERSION=${VERSION:-22.8}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-14}
+BUILD=${BUILD:-15}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -38,6 +47,9 @@ tar xvf $CWD/lilo-$VERSION.src.tar.gz || exit 1
cd lilo-$VERSION
chown -R root:root .
+# This is needed for LVM+udev+devtmpfs
+zcat $CWD/lilo.use_major_minor_instead_lvm_name.diff.gz | patch -p1 --verbose || exit 1
+
make || exit 1
make install ROOT=$PKG